<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
use Magento\Framework\App\Action\Action;


/** @var \Magento\CatalogWidget\Block\Product\ProductsList $block */
?>
<?php if ($exist = ($block->getProductCollection() && $block->getProductCollection()->getSize())): ?>
<?php
	$theme_helper	 = $this->helper( 'Olegnax\Athlete2\Helper\ProductList' );
	$at_settings	 = $this->helper( 'Olegnax\Athlete2\Helper\Helper' )->getConfig( 'athlete2_settings/product_images' );
	$width			 = $at_settings[ 'listing_image_width' ];
	$height			 = $at_settings[ 'listing_image_height' ];
    $type = 'widget-product-grid';
    $mode = 'grid';
    $image = 'new_products_content_widget_grid';
	$image_hover	 = 'category_page_grid_hover';
    $items = $block->getProductCollection()->getItems();
    $showWishlist = true;
    $showCompare = true;
    $showCart = true;
    $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
    $description = false;
	$showQuickview	 = $theme_helper->isActivePlugin( 'Olegnax_Quickview' );
	$cartIcon = '<svg xmlns="http://www.w3.org/2000/svg" class="minicart-icon-1" width="14" height="16" viewBox="0 0 14 16">
  <path d="M11,3V0H3V3H0V16H14V3H11ZM5,2H9V3H5V2Zm7,12H2V5H3V7H5V5H9V7h2V5h1v9Z"></path>
</svg>';
	$compareIcon = '<svg xmlns="http://www.w3.org/2000/svg" width="15" height="16" viewBox="0 0 15 16">
  <g>
    <polygon points="2 2 8 2 8 0 0 0 0 12 3 12 3 10 2 10 2 2"></polygon>
    <rect x="8" y="2" width="2" height="1"></rect>
    <polygon points="13 6 13 14 6 14 6 6 13 6 13 4 4 4 4 16 15 16 15 6 13 6"></polygon>
  </g>
</svg>';
?>
    <div class="block widget block-products-list products-grid__layout-default <?= /* @noEscape */ $mode ?>">
        <?php if ($block->getTitle()): ?>
        <div class="block-title">
            <strong><?= $block->escapeHtml(__($block->getTitle())) ?></strong>
        </div>
        <?php endif ?>
        <div class="block-content">
            <?= /* @noEscape */ '<!-- ' . $image . '-->' ?>
            <div class="products-<?= /* @noEscape */ $mode ?> <?= /* @noEscape */ $mode ?>">
                <ol class="product-items <?= /* @noEscape */ $type ?>">
                    <?php $iterator = 1; ?>
                    <?php foreach ($items as $_item): ?>
                        <?= /* @noEscape */ ($iterator++ == 1) ? '<li class="product-item">' : '</li><li class="product-item">' ?>
                        <div class="product-item-info">
							<div class="product-grid__image-wrapper">
                            <a href="<?= $block->escapeUrl($block->getProductUrl($_item)) ?>" class="product-item-photo">
                                <?= $block->getImage($_item, $image)->toHtml() ?>
                            </a>
							<?php if ( $showWishlist || $showCompare || $showCart || $showQuickview ): ?>
								<div class="product-item-inner">
									<div class="product-item-actions">

										<div class="actions-primary">
											<?php if ($_item->isSaleable() && $showCart): ?>
                                                <?php $postParams = $block->getAddToCartPostParams($_item); ?>
												<form data-role="tocart-form" data-product-sku="<?= $block->escapeHtml($_item->getSku()) ?>" action="<?= $block->escapeUrl($postParams['action']) ?>" method="post">
													<input type="hidden" name="product" value="<?= $block->escapeHtmlAttr($postParams['data']['product']) ?>">
													<input type="hidden" name="<?= /* @noEscape */ Action::PARAM_NAME_URL_ENCODED ?>" value="<?= /* @noEscape */ $postParams['data'][Action::PARAM_NAME_URL_ENCODED] ?>">
                                                    <?= $block->getBlockHtml('formkey') ?>
													<button type="submit"
															title="<?= $block->escapeHtml(__('Add to Cart')) ?>"
															class="action tocart primary">
                                                        <?= $cartIcon ?><span><?= $block->escapeHtml(__('Add to Cart')) ?></span>
													</button>
												</form>
											<?php else: ?>
												<?php if ($_item->isAvailable()): ?>
													<div class="stock available"><span><?= $block->escapeHtml(__('In stock')) ?></span></div>
												<?php else: ?>
													<div class="stock unavailable"><span><?= $block->escapeHtml(__('Out of stock')) ?></span></div>
												<?php endif; ?>
											<?php endif; ?>
											<?php if ( $showWishlist || $showCompare ): ?>
												<div class="actions-secondary" data-role="add-to-links">
                                                    <?php //phpcs:disable ?>
													<?php if ( $this->helper( 'Magento\Wishlist\Helper\Data' )->isAllow() && $showWishlist ): ?>
                                                        <?php //phpcs:enable ?>
														<a href="#"
														   data-post='<?= /* @noEscape */ $block->getAddToWishlistParams( $_item ) ?>' class="action towishlist" data-action="add-to-wishlist" title="<?= $block->escapeHtmlAttr( __( 'Add to Wish List' ) ) ?>">
															<span><?= $block->escapeHtml( __( 'Add to Wish List' ) ) ?></span>
														</a>
													<?php endif; ?>
													<?php if ( $block->getAddToCompareUrl() && $showCompare ): ?>
                                                        <?php //phpcs:disable ?>
														<?php $compareHelper = $this->helper( 'Magento\Catalog\Helper\Product\Compare' ); ?>
                                                        <?php //phpcs:enable ?>
														<a href="#" class="action tocompare" data-post='<?= /* @noEscape */ $compareHelper->getPostDataParams( $_item ) ?>' title="<?= $block->escapeHtmlAttr( __( 'Add to Compare' ) ) ?>">
															<?= $compareIcon ?><span><?= $block->escapeHtml( __( 'Add to Compare' ) ) ?></span>
														</a>
													<?php endif; ?>
												</div>
											<?php endif; ?>
										</div>
											<?php
											if ( $showQuickview ) {
												echo $this->helper( 'Olegnax\Quickview\Helper\Helper' )->getButton( $_item, 'button quick-view' );
											}
											?>
									</div>								
									<a href="<?= $block->escapeUrl($block->getProductUrl($_item)) ?>" class="overlay-link"></a>
								</div>
							<?php endif; ?>	
							<?php if ( $theme_helper->isActivePlugin( 'Olegnax_ProductLabel' ) ) {
								echo $this->helper( 'Olegnax\ProductLabel\Helper\Helper' )->showLabels( $_item );
							}  ?>
							</div>
							<div class="product-grid-overlay"></div>
                            <div class="product-item-details">
                                <strong class="product-item-name">
                                    <a title="<?= $block->escapeHtml($_item->getName()) ?>"
                                       href="<?= $block->escapeUrl($block->getProductUrl($_item)) ?>"
                                       class="product-item-link">
                                        <?= $block->escapeHtml($_item->getName()) ?>
                                    </a>
                                </strong>
                                <?php
                                echo $block->getProductPriceHtml($_item, $type);
                                ?>
                                <?= $block->getProductDetailsHtml($_item) ?>
                                <?php if ($templateType): ?>
                                    <?= $block->getReviewsSummaryHtml($_item, $templateType) ?>
                                <?php endif; ?>
                            </div>
                        </div>
                        <?= ($iterator == count($items) + 1) ? '</li>' : '' ?>
                    <?php endforeach ?>
                </ol>
            </div>
            <?= $block->getPagerHtml() ?>
        </div>
    </div>
    <?php if($block->getBlockHtml('formkey')): ?>
		<script type="text/x-magento-init">
    {
        ".block.widget [data-role=tocart-form]": {
            "Magento_Catalog/js/validate-product": {}
        }
    }
    </script>
    <?php endif;?>
<?php endif;?>
